#
%bcond_with	pulseaudio
#
Summary:	Software defined radio receiver powered by GNU Radio and Qt
Name:		gqrx
Version:	2.3.2
Release:	4
License:	GPL v3+
Group:		Applications/Engineering
Source0:	http://downloads.sourceforge.net/gqrx/%{name}-%{version}.tar.xz
# Source0-md5:	2dae602db3e7d637a01c7deced7fad4f
Patch0:		%{name}-nopulse.patch
URL:		http://gqrx.dk/
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtSvg-devel
BuildRequires:	boost-devel
BuildRequires:	gnuradio-devel >= 3.7
BuildRequires:	gr-osmosdr-devel
%if %{with pulseaudio}
BuildRequires:	pulseaudio-devel
%else
BuildRequires:	portaudio-devel
%endif
BuildRequires:	qt4-qmake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gqrx is a software defined radio receiver powered by the GNU Radio SDR
framework and the Qt graphical toolkit.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
qmake-qt4 \
	PREFIX=%{_prefix} \
	AUDIO_BACKEND=%{?with_pulseaudio:pulse}%{!?with_pulseaudio:portaudio} \
	../gqrx.pro
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/gqrx
%changelog
* Mon Apr 10 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gqrx.git;a=log;h=master

* Mon Apr 10 2017 Jan Rękorajski <baggins@pld-linux.org> 56e9d6a
- rebuild with boost 1.63.0
- release 4 (by relup.sh)

* Thu May 26 2016 Jan Rękorajski <baggins@pld-linux.org> cf7f12b
- rebuild with boost 1.61
- release 3 (by relup.sh)

* Sun Nov 15 2015 Jan Rękorajski <baggins@pld-linux.org> 64c038f
- release 2 (by relup.sh)

* Sat Jun 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dd32e5b
- up to 2.3.2

* Fri Jun 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e7b196f
- up to 2.3.0

* Wed Feb 18 2015 Jan Rękorajski <baggins@pld-linux.org> 787f12f
- rebuild with boost 1.57.0
- release 7 (by relup.sh)

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> 91afc27
- release 6 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 93c7c45
- rebuild with boost 1.56.0
- release 5 (by relup.sh)

* Sat Mar 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 11dfa3a
- rel 4; disable pulseaudio by default

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> a9c5f3d
- - rebuild with boost 1.55.0
- release 3 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> f277f3d
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Sat Jan 11 2014 Elan Ruusamäe <glen@delfi.ee> cba1a37
- unify order

* Sat Jan 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 195207e
- rel 1

* Sat Jan 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c111117
- unfinished

